/*
 * @(#)GPBarConstants.java	1.2 02.02.2003
 *
 * Copyright (C) 2003 sven.luzar
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */
/** GPBarConstants method
 * @author sven.luzar
 * @version 2.0 TerpPresent
 */
public interface GPBarConstants {

	/**
	 * Suffix applied to the key used in resource file
	 * lookups for an image.
	 */
	public static final String SUFFIX_IMAGE = "Image";

	/**
	 * Suffix applied to the key used in resource file
	 * lookups for a label.
	 */
	public static final String SUFFIX_LABEL = "Label";


	/**
	 * Suffix applied to the key used in resource file
	 * lookups for a menuitem (instead of action).
	 */
	public static final String SUFFIX_ACCELERATOR = "Accel";

	/**
	 * Suffix applied to the key used in resource file
	 * lookups for a menuitem (instead of action).
	 */
	public static final String SUFFIX_MNEMONIC = "Mnemonic";

	/**
	 * Suffix applied to the key used in resource file
	 * lookups for tooltip text.
	 */
	public static final String SUFFIX_TOOLTIP = "Tooltip";

	/**
	 * Suffix applied to the key used in resource file
	 * lookups for menu.
	 */
	public static final String SUFFIX_ACTION = "Action";
	
	/**
	 * Suffix applied to the key used in resource file
	 * lookups for a submenu.
	 */
	public static final String SUFFIX_MENU = "Menu";

}
