/*
HelpHelpTopics.java added by Will 4/4/03
 *nested the html code within the helphelptopics class, and made the action call the html code
 */
import java.awt.event.ActionEvent;
import java.util.MissingResourceException;

import javax.swing.ImageIcon;
import javax.swing.JDialog;


import javax.swing.text.EditorKit;

import java.net.URL;

//import java.util.*;

//import java.io.*;

//import java.awt.*;

//import javax.swing.event.*;

import javax.swing.*;

import javax.swing.text.html.*;

//import java.awt.event.ActionEvent;

//import java.awt.event.*;





/** Action opens an HTML help document.
 * @author TerpPresent Team
 * @version 2.0 TerpPresent
 */
public class HelpHelpTopics extends AbstractActionDefault {
    /** Class used to display the HTML help document.
     */    
    public class HTMLDisplay extends JFrame {
        /** Constructor for the HTMLDisplay class
         * @param s - Represents the file path/ URL path
         * @param t - Represents the title.
         * @throws e Throws exception if URL path cannot be established.
         */        
        HTMLDisplay(String s, String t) {
        JEditorPane jep = new JEditorPane();
        jep.setEditable(false);   
        EditorKit htmlKit = jep.getEditorKitForContentType("text/html");
        HTMLDocument doc = (HTMLDocument) htmlKit.createDefaultDocument();
        jep.setEditorKit(htmlKit);
        try {

            URL u = new URL("file", "localhost", s);

            //InputStream in = u.openStream();

            //jep.read(in, doc);

            jep.setPage(u);

        }

        catch (Exception e) {

            System.err.println(e);

        } 

      

           JScrollPane scrollPane = new JScrollPane(jep);     

          JFrame f = new JFrame(t);

          f.setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);

          f.getContentPane().add(scrollPane);

          f.setSize(700, 700);

          f.setVisible(true);

 }

 /*public static void main(String[] arg){

  new HTMLDisplay("http://www.cs.umd.edu/~atif/GUITAR-distribution/manuals/JavaGUIRipper.htm", "User Manual");

 }*/



    }

 /** The about dialog for JGraphpad
  */
 protected JDialog aboutDlg;

 /** Constructor for HelpTopics.
         * This constructor is called from GPGraphPad.java
         * @param graphpad Passes the current state of jGraphPad.
         */
 public HelpHelpTopics(GPGraphpad graphpad) {
  super(graphpad);
 }

 /** Opens an HTML help document when an action event is
         * initiated.
         * @param e Called when a menu-item is clicked or an Action is performed.
         * @return void
         * @throws mre Throws exception when URL path cannot be established.
         */
 public void actionPerformed(ActionEvent e) {
  if (aboutDlg == null) {
   // Create a frame containing an instance of
   // LibraryPanel.
   
   String iconName = Translator.getString("Logo");
   ImageIcon logoIcon = ImageLoader.getImageIcon(iconName);
   
   try {
                            new HTMLDisplay("./help/help_present.html", "TerpPresent Help Topics");
                            String title = Translator.getString("AboutFrameTitle");
    
    //aboutDlg = new GPAboutDialog(graphpad.getFrame(), title, logoIcon);
   } catch (MissingResourceException mre) {
    aboutDlg =
     new GPAboutDialog(
      graphpad.getFrame(),
      "Help Topics",
      logoIcon);
   }
  }
  aboutDlg.show();
 }
 /** Empty implementation. 
  *  This Action should be available
  *  each time.
  */
 public void update(){};

}