/*
 * TPBookRemoveSlide.java
 *
 * Created on March 22, 2004, 5:42 PM
 */

import java.awt.event.*;

/** A action that will remove a slide from a document.
 *
 * @author TerpPresent
 * @author vxn
 * @version 3.0 TerpPresent
 */
public class TPBookRemoveSlide extends AbstractActionDefault {
    
    /**
     * Creates a new instance of TPBookRemoveSlide
     * @param graphpad A GPGraphpad object.
     */
    public TPBookRemoveSlide( GPGraphpad graphpad ) {
        super( graphpad );
        //setEnabled( false );
    }
    
    /**
     * Perform the action of removing a slide from the document.
     * @param e An action event.
     * @see java.awt.event.ActionListener#actionPerformed(ActionEvent)
     */
    public void actionPerformed(ActionEvent e) {
        TPDocument tpDoc = (TPDocument)graphpad.getCurrentDocument();
        tpDoc.removeCurrentSlide();
    }
    /** Empty implementation. 
    *  This Action should be available
    *  each time.
    */
    public void update(){};
    
}
