import java.awt.event.ActionEvent;

//import javax.swing.Icon;


/** Clears the background image or color.
 * @author sven.luzar
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public class FormatBackgroundNoImage extends AbstractActionDefault {

	/** Constructor for GraphBackgroundNoImage.
         * This constructor is called from GPGraphPad.java.
         * @param graphpad the current state of the graph
         */
	public FormatBackgroundNoImage(GPGraphpad graphpad) {
		super(graphpad);
	}

	/** Clears the background image or color when an action event is initiated.
         * @param e event trigger when menu-item is clicked or action is performed
         */
	public void actionPerformed(ActionEvent e) {
			graphpad.getCurrentGraph() .setBackgroundImage(null);
			graphpad.getCurrentGraph() .repaint();
	}

}
