/*
 * @(#)FormatShapeNoImage.java 1.2 30.01.2003
 *
 * Copyright (C) 2003 sven.luzar
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */
import java.awt.event.ActionEvent;
import java.util.Map;


/** Clears the image of the selected cells.
 *
 * @author sven.luzar
 * @version 2.0 TerpPresent
 */
public class FormatShapeNoImage extends AbstractActionDefault {

 /** Constructor for FormatShapeNoImage.
         * This constructor is called from GPGraphPad.java
         * @param graphpad - Passes the current state of jGraphPad.
         */
 public FormatShapeNoImage(GPGraphpad graphpad) {
  super(graphpad);
 }

 /**  Clears the image of the selected cells when an action is
         * initiated.
         * @param e called when a menu-item is clicked or an Action performed.
         * @return void
         */
 public void actionPerformed(ActionEvent e) {
 	(new Exception()).printStackTrace() ;
   Map map = GraphConstants.createMap();
   Object[] keys = new Object[] { GraphConstants.ICON };
   GraphConstants.setRemoveAttributes(map, keys);
   setSelectionAttributes(map);
 }

}
