/* Example: Save and open remote files

import com.jgraph.pad.*;
import com.jgraph.GPGraphpad;
import com.jgraph.graph.*;

public class TestPlugin implements GPPlugin {
	
	public void execute(GPGraphpad pad) {
		GPGraph graph = (GPGraph) pad.getGraph();
		// Access the Graph
		System.out.println("Number of Cells: "+graph.getAll().length);
		// Successfull Save
		pad.setModified(false);
		// Open a (New) Model
    	pad.addDocument("newGraph.jgp", new DefaultGraphModel(), null);
	}

}

*/

/** This is the public interface for the GP plugins.
 *
 * @author TerpPresent
 * @version 2.0 TerpPresent
 */
public interface GPPlugin {

    /** This executes jgraphpad.
     * @param pad This is what is going to be executed
     */    
    public void execute(GPGraphpad pad);

}
