import java.util.Map;

/** 
 * This class creates a graph cell.
 *
 * @author TerpPresent
 * @version 2.0 TerpPresent
 */

public interface GraphCell
  
{
  
  /**
   * Retrieves the attributes of an object.
   * @return A Map data type.
   * @see Map
   */
  public abstract Map getAttributes();
  
  /**
   * Changes the attributes of an object.
   * @param map A variable of Map data type.
   * @return A Map data type.
   * @see Map
   */
  public abstract Map changeAttributes(Map map);
  
  /** 
   * Sets the attributes of an object.
   * @param map A variable of Map data type.
   * @see Map
   */
  public abstract void setAttributes(Map map);
}
