
import java.awt.Component;
import javax.swing.CellEditor;

/**
 * This class edits a graph cell.
 *
 * @author TerpPresent
 * @version 2.0 TerpPresent
 *
 * @see CellEditor
 */

public interface GraphCellEditor
  extends CellEditor
{
  
  /**
   * Retrieves the graph components.
   * @param jgraph A variable of JGraph data type.
   * @param obj A variable of Object data type.
   * @param flag A variable of boolean data type.
   * @return A Component data type.
   * @see JGraph
   * @see Object
   * @see Component
   */    
  public abstract Component getGraphCellEditorComponent(JGraph jgraph, Object obj, boolean flag);
}
